<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>RequestOtp.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.model</a> &gt; <span class="el_source">RequestOtp.java</span></div><h1>RequestOtp.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.model;


import lombok.Getter;
import lombok.Setter;
import org.codehaus.jackson.annotate.JsonIgnore;

import javax.persistence.*;
import java.util.Date;
import java.util.UUID;

@Entity
@Table(name = &quot;REQUEST_OTP&quot;)
@Getter
<span class="nc" id="L15">@Setter</span>
<span class="nc" id="L16">public class RequestOtp {</span>

<span class="nc" id="L18">    @Id</span>
<span class="nc" id="L19">    private UUID requestId = UUID.randomUUID();</span>

<span class="nc" id="L21">    private boolean used;</span>
<span class="nc" id="L22">    private String phoneNumber;</span>
<span class="nc" id="L23">    private String reqCode;</span>
<span class="nc" id="L24">    private String otp;</span>
<span class="nc" id="L25">    private int verifyCounter;</span>

    @JsonIgnore
    @Temporal(TemporalType.TIMESTAMP)
<span class="nc" id="L29">    private Date requestTime;</span>

    @JsonIgnore
    @Temporal(TemporalType.TIMESTAMP)
<span class="nc" id="L33">    private Date expiredTime;</span>


<span class="nc" id="L36">    private String reqType;</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>